petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscIntSumError

Computes the product of two positive PetscInt and generates an error with overflow.

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscIntSumError(PetscInt a,PetscInt b,PetscInt *result)

Not Collective Many br

### Input Parameter

| a | - the PetscInt value Many br
| b | - the second value Many br

Output Parameter:ma Many br

c -the result as a PetscInt value Many br

Use PetscIntMult64bit() to compute the product of two 32 bit PetscInt and store in a Petsc64bitInt Many brUse PetscIntMultTruncate() to compute the product of two PetscInt and truncate it to fit in a PetscInt Many br

Many br

### See Also

PetscBLASInt, PetscMPIInt, PetscInt, PetscBLASIntCast(), PetscIntMult64()

Level:advanced
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages